package com.huigou.topsun.sap.clientMaterials.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @Auther: lxh
 * @Date: 2024/06/05/14:08
 * @Description:
 */
public class ClientMaterialsVo implements Serializable {

    /**
     * 工厂
     */
    @JsonProperty("WERKS")
    private String werks;

    /**
     * 客供料
     */
    @JsonProperty("MATNR")
    private String matnr;

    /**
     * 客供料名称
     */
    @JsonProperty("MAKTX")
    private String maktx;

    /**
     * 期初日期
     */
    @JsonProperty("PERTR")
    private String pertr;

    /**
     * 订单开始日期
     */
    @JsonProperty("PSTTR")
    private String psttr;

    /**
     * 订单完成日期
     */
    @JsonProperty("PEDTR")
    private String pedtr;

    /**
     * 订货数量
     */
    @JsonProperty("GSMNG")
    private BigDecimal gsmng;

    /**
     * 单位
     */
    @JsonProperty("MEINS")
    private String meins;

    /**
     * 计划订单
     */
    @JsonProperty("PLNUM")
    private String plnum;

    /**
     * 销售订单
     */
    @JsonProperty("KDAUF")
    private String kdauf;

    /**
     * 行项次
     */
    @JsonProperty("KDPOS")
    private String kdpos;

    /**
     * 生产订单
     */
    @JsonProperty("AUFNR")
    private String aufnr;

    /**
     * 跟单员编码
     */
    @JsonProperty("PARTNER")
    private String partner;

    /**
     * 跟单员名称
     */
    @JsonProperty("NAME_ORG1")
    private String nameOrg1;

    public String getPartner() {
        return partner;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public String getNameOrg1() {
        return nameOrg1;
    }

    public void setNameOrg1(String nameOrg1) {
        this.nameOrg1 = nameOrg1;
    }

    public String getWerks() {
        return werks;
    }

    public void setWerks(String werks) {
        this.werks = werks;
    }

    public String getMatnr() {
        return matnr;
    }

    public void setMatnr(String matnr) {
        this.matnr = matnr;
    }

    public String getMaktx() {
        return maktx;
    }

    public void setMaktx(String maktx) {
        this.maktx = maktx;
    }

    public String getPertr() {
        return pertr;
    }

    public void setPertr(String pertr) {
        this.pertr = pertr;
    }

    public String getPsttr() {
        return psttr;
    }

    public void setPsttr(String psttr) {
        this.psttr = psttr;
    }

    public String getPedtr() {
        return pedtr;
    }

    public void setPedtr(String pedtr) {
        this.pedtr = pedtr;
    }

    public BigDecimal getGsmng() {
        return gsmng;
    }

    public void setGsmng(BigDecimal gsmng) {
        this.gsmng = gsmng;
    }

    public String getMeins() {
        return meins;
    }

    public void setMeins(String meins) {
        this.meins = meins;
    }

    public String getPlnum() {
        return plnum;
    }

    public void setPlnum(String plnum) {
        this.plnum = plnum;
    }

    public String getKdauf() {
        return kdauf;
    }

    public void setKdauf(String kdauf) {
        this.kdauf = kdauf;
    }

    public String getKdpos() {
        return kdpos;
    }

    public void setKdpos(String kdpos) {
        this.kdpos = kdpos;
    }

    public String getAufnr() {
        return aufnr;
    }

    public void setAufnr(String aufnr) {
        this.aufnr = aufnr;
    }
}
